#
# mental-fatigue.R,  5 Jun 22
#
# Data from:
# MENTAL FATIGUE BY TSURU ARAI

library("colorspace")

pal_col=rainbow(2)

par(bty="l")
par(las=1)
par(pch="+")

# NA rows denote lunch or dinner breaks
mf=read.csv("mental-fatigue.csv", as.is=TRUE)

mf$time=mf$Mins+mf$Secs/60

mf22=subset(mf, Date == "22-Feb-09")
bd=1:40 # before dinner
ad=41:nrow(mf22) # after dinner
mf22$seq=0
mf22$seq[bd]=1:40
mf22$seq[ad]=ad-40

plot(mf22$time[bd], col=pal_col[2],
	xaxs="i",
	xlab="Sequence", ylab="Time (mins)")

points(mf22$time[ad], col=pal_col[1])

legend(x="topleft",
	legend=c("After dinner", "Before dinner"),
	bty="n", fill=pal_col, cex=1.1)

# Before dinner
bd_mod=glm(time ~ seq, data=mf22, subset=bd)
summary(bd_mod)
pred=predict(bd_mod)
lines(pred, col=pal_col[2])

# After dinner
ad_mod=glm(time ~ seq, data=mf22, subset=ad)
summary(ad_mod)
pred=predict(ad_mod)
lines(pred, col=pal_col[1])

